components:
  schemas:
    PCIeDevice_v1_2_6_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/PCIeDevice_v1_2_6_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PCIeDevice_v1_2_6_DeviceType:
      enum:
      - SingleFunction
      - MultiFunction
      - Simulated
      type: string
      x-enumDescriptions:
        MultiFunction: A multi-function PCIe device.
        Simulated: A PCIe device that is not currently physically present, but is
          being simulated by the PCIe infrastructure.
        SingleFunction: A single-function PCIe device.
    PCIeDevice_v1_2_6_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        Chassis:
          description: An array of links to the chassis in which the PCIe device is
            contained.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type Chassis that represent the physical containers associated with
            this resource.
        Chassis@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        PCIeFunctions:
          description: An array of links to PCIe functions exposed by this device.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type PCIeFunction that represent the PCIe functions this device exposes.
        PCIeFunctions@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PCIeDevice_v1_2_6_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PCIeDevice_v1_2_6_PCIeDevice:
      additionalProperties: false
      description: The PCIeDevice schema describes the properties of a PCIe device
        that is attached to a system.  It also describes the location, such as a slot,
        socket, or bay, where a unit can be installed, by populating a resource instance
        with an absent state if a unit is not present.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/PCIeDevice_v1_2_6_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_1_0
        Assembly:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the assembly associated with this PCIe device.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            Assembly.
          x-versionAdded: v1_2_0
        AssetTag:
          description: The user-assigned asset tag for this PCIe device.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall contain an identifying string that
            tracks the PCIe device for inventory purposes.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        DeviceType:
          $ref: '#/components/schemas/PCIeDevice_v1_2_6_DeviceType'
          description: The device type for this PCIe device.
          readOnly: true
          x-longDescription: This property shall contain the device type of the PCIe
            device such as `SingleFunction` or `MultiFunction`.
        FirmwareVersion:
          description: The version of firmware for this PCIe device.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the firmware version of the
            PCIe device.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/PCIeDevice_v1_2_6_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Manufacturer:
          description: The manufacturer of this PCIe device.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the organization
            responsible for producing the PCIe device.  This organization may be the
            entity from whom the PCIe device is purchased, but this is not necessarily
            true.
        Model:
          description: The model number for the PCIe device.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name by which the manufacturer
            generally refers to the PCIe device.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PartNumber:
          description: The part number for this PCIe device.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a part number assigned by
            the organization that is responsible for producing or manufacturing the
            PCIe device.
        SKU:
          description: The SKU for this PCIe device.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the stock-keeping unit number
            for this PCIe device.
        SerialNumber:
          description: The serial number for this PCIe device.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a manufacturer-allocated
            number that identifies the PCIe device.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a PCIe device in a Redfish
        implementation.  It may also represent a location, such as a slot, socket,
        or bay, where a unit may be installed, but the State property within the Status
        property contains `Absent`.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#PCIeDevice.v1_2_6.PCIeDevice'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2017.3'
